package com.liquidnet.service.sweet.utils;

import com.liquidnet.service.base.PagedResult;
import com.liquidnet.service.sweet.dto.vo.IntegralActivityDrawVo;
import com.liquidnet.service.sweet.dto.vo.IntegralActivityPrizeVo;
import com.liquidnet.service.sweet.dto.vo.admin.SweetIntegralActivityPrizeVo;
import com.liquidnet.service.sweet.entity.SweetIntegralActivityPrize;

import java.util.ArrayList;
import java.util.LinkedList;

public class SweetNewObjectUtil {
    private static final ArrayList<SweetIntegralActivityPrizeVo> sweetIntegralActivityPrizeVoArrayList = new ArrayList<>();
    private static final ArrayList<IntegralActivityPrizeVo> integralActivityPrizeVoArrayList = new ArrayList<>();
    private static final ArrayList<SweetIntegralActivityPrize> sweetIntegralActivityPrizeArrayList = new ArrayList<>();
    private static final LinkedList<IntegralActivityDrawVo> sweetIntegralActivityDrawVoLinkedList = new LinkedList<>();
    private static final PagedResult<IntegralActivityDrawVo> sweetIntegralActivityDrawVoPagedResult = new PagedResult<>();

    public static ArrayList<SweetIntegralActivityPrizeVo> getSweetIntegralActivityPrizeVoArrayList() {
        return (ArrayList<SweetIntegralActivityPrizeVo>) sweetIntegralActivityPrizeVoArrayList.clone();
    }

    public static LinkedList<IntegralActivityDrawVo> getSweetIntegralActivityDrawVoLinkedList() {
        return (LinkedList<IntegralActivityDrawVo>) sweetIntegralActivityDrawVoLinkedList.clone();
    }

    public static PagedResult<IntegralActivityDrawVo> getSweetIntegralActivityDrawVoPagedResult() {
        return (PagedResult<IntegralActivityDrawVo>) sweetIntegralActivityDrawVoPagedResult.clone();
    }

    public static ArrayList<SweetIntegralActivityPrize> getSweetIntegralActivityPrizeArrayList() {
        return (ArrayList<SweetIntegralActivityPrize>) sweetIntegralActivityPrizeArrayList.clone();
    }

    public static ArrayList<IntegralActivityPrizeVo> getIntegralActivityPrizeVoArrayList() {
        return (ArrayList<IntegralActivityPrizeVo>) integralActivityPrizeVoArrayList.clone();
    }

}
